package audiotesting;

interface InSignal {
  /**
   * Metodo encargado de ejecutarse al detectarse un cambio en la entrada
   */
  void inputValueChanged();
  /**
   * Metodo encardao de conectar la entrada a la compuerta
   * @param output 
   */
  void connectInput(OutSignal output);
  /**
   * Metodo encardo de desconectar la entrada a la compuerta
   */
  void disconnectInput();
  /**
   * Metodod encardao de conectar una compuerta con la salida
   * @param output 
   */
  void addSource(OutSignal output);
  /**
   * Metodo encargado de remover una compuerta con la salida
   * @param output 
   */
  void removeFromSource(OutSignal output);
}