package audiotesting;

import java.awt.event.*;
import javax.swing.JMenuItem;

/**
 *Metodo encargado de obtener el listener asociado con la simulacion
 */
public class SimulateMenuListener implements ActionListener {
  private SoundCircuit circuit;
  public SimulateMenuListener (SoundCircuit c){
     circuit = c;
  }
  public void actionPerformed(ActionEvent e) {
      JMenuItem menuItem = (JMenuItem)(e.getSource());
      String text = menuItem.getText();
      if (text.equals("Start")) 
          circuit.simulate();
  }
}